Package org.eclipse.m2m.atl.engine.emfvm.lib

## Class EnumLiteral

- java.lang.Object
- - org.eclipse.m2m.atl.engine.emfvm.lib.EnumLiteral

All Implemented Interfaces:
  `HasFields`

    public class EnumLiteral
    extends java.lang.Object
    implements HasFields

Enumeration literal implementation.

### Constructor Summary

Constructors
`EnumLiteral()` Creates an unnamed EnumLiteral.
`EnumLiteral​(java.lang.String name)` Creates an EnumLiteral with the given name.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object arg)`
`java.lang.Object` `get​(AbstractStackFrame frame, java.lang.Object literalName)` Gets a value.
`int` `hashCode()`
`void` `set​(AbstractStackFrame frame, java.lang.Object literalName, java.lang.Object value)` Sets a value to the object.
`void` `setName​(java.lang.String name)`
`java.lang.String` `toString()`
`void` `unset​(AbstractStackFrame frame, java.lang.Object name)` Unsets a value to the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumLiteral

    public EnumLiteral()

Creates an unnamed EnumLiteral.

#### EnumLiteral

    public EnumLiteral​(java.lang.String name)

Creates an EnumLiteral with the given name.

Parameters:
  `name` - the name

### Method Detail

#### setName

    public void setName​(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`

#### get

    public java.lang.Object get​(AbstractStackFrame frame,
                                java.lang.Object literalName)

Gets a value.

Specified by:
  `get` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `literalName` - the value name
Returns:
  the value
See Also:
  `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

#### set

    public void set​(AbstractStackFrame frame,
                    java.lang.Object literalName,
                    java.lang.Object value)

Sets a value to the object.

Specified by:
  `set` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `literalName` - the value name
  `value` - the value
See Also:
  `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

#### unset

    public void unset​(AbstractStackFrame frame,
                      java.lang.Object name)

Unsets a value to the object.

Specified by:
  `unset` in interface `HasFields`
Parameters:
  `frame` - the frame context
  `name` - the value name
See Also:
  `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
See Also:
  `Object.hashCode()`

#### equals

    public boolean equals​(java.lang.Object arg)

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `Object.equals(java.lang.Object)`